#!/usr/local/bin/python2.7

import time
import itertools
import prime

def euler29():
  """
  How many distinct terms are in the sequence generated by a ** b for 2 <= a <= 100 and 2 <= b <= 100?
  """
  return len(set([a ** b for a, b in itertools.product(range(2, 101), range(2, 101))]))

  
#boilerplate code to run
def main():
  start = time.time()
  print 'The solution is: %d' % euler29()
  elapsed = (time.time() - start)
  print 'Time elapsed: ' + str(elapsed)  
  
if __name__ == '__main__':
  main()